import { EventEmitter } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { IRhzGuidedTourStep } from '../models/rhz-guided-tour-step.interface';
import { IRhzGuidedTourStepChange } from '../models/rhz-guided-tour-step-change.interface';
export declare class RhzGuidedTourService {
    steps: IRhzGuidedTourStep[];
    private _currentStep;
    onExit: EventEmitter<void>;
    onNext: EventEmitter<void>;
    onChangeStep: BehaviorSubject<IRhzGuidedTourStepChange>;
    onDone: EventEmitter<void>;
    onToggle: EventEmitter<boolean>;
    constructor();
    private _hide;
    setup(steps: IRhzGuidedTourStep[]): void;
    start(initialStep?: number): void;
    changeStep(to: number): void;
}
