import { ChangeDetectorRef, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { RhzGuidedTourService } from '../service/rhz-guided-tour.service';
import { IRhzGuidedTourStepChange } from '../models/rhz-guided-tour-step-change.interface';
export declare class RhzGuidedTourComponent implements OnInit, OnDestroy {
    private _service;
    private _cdr;
    _container: ElementRef<HTMLElement>;
    exitText: string;
    nextText: string;
    doneText: string;
    get showing(): boolean;
    private _showing;
    private _toggleSubscription;
    private _changeStepSubscription;
    step: IRhzGuidedTourStepChange;
    selectedElement: Element;
    constructor(_service: RhzGuidedTourService, _cdr: ChangeDetectorRef);
    private _onResize;
    private get _hostClasses();
    ngOnInit(): void;
    ngOnDestroy(): void;
    private _show;
    private _hide;
    private _changeStep;
    private _selectComponent;
    private _scrollToElement;
    private _detectChanges;
    get positionTop(): number;
    get positionLeft(): number;
    exit(): void;
    nextStep(): void;
    done(): void;
}
